Subject: bug#37846: @acronym not handled correctly in synopsis or descriptions

From: Christopher Baines <[email-masked]>
Date: Mon, 21 Oct 2019 07:46:38 +0100

When rendering synopsis or descriptions as plain text, acronyms are not
handled correctly, they're just omitted entirely.

  Flexible objects for representing @acronym{UFO, unified font object}
  data

  ->

  Flexible objects for representing data

  @acronym{FIFE, Flexible Isometric Free Engine} is a
  multi-platform\nisometric game engine.  Python bindings are included
  allowing users to create\ngames using Python as well as C++.

  ->

  is a multi-platform isometric game engine.  Python bindings are
  included allowing users to create games using Python as well as C++.

I believe this is a bug in Guile, but it could also be a problem with
the texinfo markup.